Retrieve storage pools for the entire cluster
Accesses the complete list of storage pools across the entire cluster. This helps in managing and monitoring available storage resources efficiently.
HTTP method and endpoint
GET /storage/pools
Introduced in
ONTAP 9.11
Usage notes
Retrieves the collection of storage pools for the entire cluster.
Related ONTAP commands
-
storage pool show
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
capacity.used_allocation_units.node.name |
string |
query |
False |
Filter by capacity.used_allocation_units.node.name |
capacity.used_allocation_units.node.uuid |
string |
query |
False |
Filter by capacity.used_allocation_units.node.uuid |
capacity.used_allocation_units.count |
integer |
query |
False |
Filter by capacity.used_allocation_units.count |
capacity.used_allocation_units.current_usage |
integer |
query |
False |
Filter by capacity.used_allocation_units.current_usage |
capacity.used_allocation_units.aggregate.uuid |
string |
query |
False |
Filter by capacity.used_allocation_units.aggregate.uuid |
capacity.used_allocation_units.aggregate.name |
string |
query |
False |
Filter by capacity.used_allocation_units.aggregate.name |
capacity.disk_count |
integer |
query |
False |
Filter by capacity.disk_count |
capacity.remaining |
integer |
query |
False |
Filter by capacity.remaining |
capacity.disks.usable_size |
integer |
query |
False |
Filter by capacity.disks.usable_size |
capacity.disks.disk.name |
string |
query |
False |
Filter by capacity.disks.disk.name |
capacity.disks.total_size |
integer |
query |
False |
Filter by capacity.disks.total_size |
capacity.total |
integer |
query |
False |
Filter by capacity.total |
capacity.spare_allocation_units.node.name |
string |
query |
False |
Filter by capacity.spare_allocation_units.node.name |
capacity.spare_allocation_units.node.uuid |
string |
query |
False |
Filter by capacity.spare_allocation_units.node.uuid |
capacity.spare_allocation_units.available_size |
integer |
query |
False |
Filter by capacity.spare_allocation_units.available_size |
capacity.spare_allocation_units.count |
integer |
query |
False |
Filter by capacity.spare_allocation_units.count |
capacity.spare_allocation_units.size |
integer |
query |
False |
Filter by capacity.spare_allocation_units.size |
capacity.spare_allocation_units.syncmirror_pool |
string |
query |
False |
Filter by capacity.spare_allocation_units.syncmirror_pool |
uuid |
string |
query |
False |
Filter by uuid |
health.unhealthy_reason.code |
string |
query |
False |
Filter by health.unhealthy_reason.code |
health.unhealthy_reason.arguments.code |
string |
query |
False |
Filter by health.unhealthy_reason.arguments.code |
health.unhealthy_reason.arguments.message |
string |
query |
False |
Filter by health.unhealthy_reason.arguments.message |
health.unhealthy_reason.message |
string |
query |
False |
Filter by health.unhealthy_reason.message |
health.is_healthy |
boolean |
query |
False |
Filter by health.is_healthy |
health.state |
string |
query |
False |
Filter by health.state |
nodes.name |
string |
query |
False |
Filter by nodes.name |
nodes.uuid |
string |
query |
False |
Filter by nodes.uuid |
name |
string |
query |
False |
Filter by name |
storage_type |
string |
query |
False |
Filter by storage_type |
fields |
array[string] |
query |
False |
Specify the fields to return. |
max_records |
integer |
query |
False |
Limit the number of records returned. |
return_records |
boolean |
query |
False |
The default is true for GET calls. When set to false, only the number of records is returned.
|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When iterating over a collection, the default is 15 seconds. ONTAP returns earlier if either max records or the end of the collection is reached.
|
order_by |
array[string] |
query |
False |
Order results by specified fields and optional [asc |
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
_links |
||
error |
||
num_records |
integer |
Number of shared storage pools in the cluster. |
records |
array[storage_pool] |
|
spares |
array[storage_pool_show_spares] |
Example response
{
"_links": {
"next": {
"href": "/api/resourcelink"
},
"self": {
"href": "/api/resourcelink"
}
},
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist"
},
"num_records": 1,
"records": [
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"capacity": {
"disks": [
{
"disk": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "1.0.1"
},
"total_size": 0,
"usable_size": 0
}
],
"remaining": 0,
"spare_allocation_units": [
{
"available_size": 0,
"node": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"size": 0,
"syncmirror_pool": "string"
}
],
"total": 0,
"used_allocation_units": [
{
"aggregate": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "aggr1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"current_usage": 0,
"node": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
}
]
},
"health": {
"state": "string",
"unhealthy_reason": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist"
}
},
"name": "string",
"nodes": [
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
],
"storage_type": "string",
"uuid": "string"
}
],
"spares": [
{
"checksum_style": "string",
"disk_class": "solid_state",
"disk_type": "string",
"nodes": [
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
],
"size": 10156769280,
"syncmirror_pool": "string",
"usable": 9
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
10944513 |
Unable to retrieve shared disk capability information. |
10944514 |
Unable to enable shared disk capability. |
10944527 |
Storage pools are not supported in MetroCluster configurations. |
10944528 |
Unable to retrieve MetroCluster configuration information. |
11206662 |
There is no storage pool matching the specified UUID or name. |
11206667 |
Storage pool feature is not enabled. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
| Name | Type | Description |
|---|---|---|
next |
||
self |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
_links
| Name | Type | Description |
|---|---|---|
self |
disk
Reference to the constituent disk object.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
storage_pool_disk
| Name | Type | Description |
|---|---|---|
disk |
Reference to the constituent disk object. |
|
total_size |
integer |
Raw capacity of the disk, in bytes. |
usable_size |
integer |
Usable capacity of this disk, in bytes. |
node
Specifies what node can use this set of allocation units.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
storage_pool_spare_allocation_unit
| Name | Type | Description |
|---|---|---|
available_size |
integer |
The usable capacity of this set of allocation units. |
count |
integer |
The number of spare allocation units on this node. |
node |
Specifies what node can use this set of allocation units. |
|
size |
integer |
Size of each allocation unit. |
syncmirror_pool |
string |
The RAID SyncMirror Pool to which this allocation unit is assigned. |
aggregate
The aggregate that is using this cache capacity.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
node
The node hosting the aggregate using this set of allocation units.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
storage_pool_used_allocation_unit
| Name | Type | Description |
|---|---|---|
aggregate |
The aggregate that is using this cache capacity. |
|
count |
integer |
The number of allocation units used by this aggregate. |
current_usage |
integer |
The amount of cache space used by this aggregate. |
node |
The node hosting the aggregate using this set of allocation units. |
capacity
| Name | Type | Description |
|---|---|---|
disk_count |
integer |
The number of disks in the storage pool. |
disks |
array[storage_pool_disk] |
Properties of each disk used in the shared storage pool. |
remaining |
integer |
Remaining usable capacity in the flash pool, in bytes. |
spare_allocation_units |
Properties of spare allocation units. |
|
total |
integer |
Total size of the flash pool, in bytes. |
used_allocation_units |
Information about the storage pool allocation units participating in the cache tier of an aggregate. |
error
Indicates why the storage pool is unhealthy. This property is not returned for healthy storage pools.
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
health
Properties that outline shared storage pool health.
| Name | Type | Description |
|---|---|---|
is_healthy |
boolean |
Indicates whether the storage pool is able to participate in provisioning operations. |
state |
string |
The state of the shared storage pool. |
unhealthy_reason |
Indicates why the storage pool is unhealthy. This property is not returned for healthy storage pools. |
node_reference
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
storage_pool
| Name | Type | Description |
|---|---|---|
_links |
||
capacity |
||
health |
Properties that outline shared storage pool health. |
|
name |
string |
Storage pool name. |
nodes |
array[node_reference] |
Nodes that can use this storage pool for their aggregates. |
storage_type |
string |
Storage type for the disks used to create the storage pool. |
uuid |
string |
Storage pool UUID. |
storage_pool_show_spares
Available spares for stoarge pool.
| Name | Type | Description |
|---|---|---|
checksum_style |
string |
The checksum type that has been assigned to the spares. |
disk_class |
string |
Disk class of spares. |
disk_type |
string |
Type of disk. |
nodes |
array[node_reference] |
Nodes that can use the usable spares for storage pool. |
size |
integer |
Usable size of each spare, in bytes. |
syncmirror_pool |
string |
SyncMirror spare pool. |
usable |
integer |
Total number of usable spares in the bucket. The usable count for each class of spares does not include reserved spare capacity recommended by ONTAP best practices.
|
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |